Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 > Class Template Reference

Inheritance diagram for osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >:

[legend]
List of all members.

## Public Types
typedef void(C::* | ConstFunctionType )(P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10) const
typedef void(C::* | FunctionType )(P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10)
## Public Member Functions
| TypedMethodInfo11 (const std::string &qname, ConstFunctionType cf, const ParameterInfoList &plist)
| TypedMethodInfo11 (const std::string &qname, FunctionType f, const ParameterInfoList &plist)
bool | isConst () const
| Returns whether the reflected method is const or not.
bool | isStatic () const
| Returns whether the reflected method is static or not.
Value | invoke (const Value &instance, ValueList &args) const
| Invokes the reflected method dynamically on the given const instance, passing it the arguments as a list of Value objects.
Value | invoke (Value &instance, ValueList &args) const
| Invokes the reflected method dynamically on the given instance, passing it the arguments as a list of Value objects.

### template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10>
class osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >

## Member Typedef Documentation

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10>
typedef void(C::* osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >::ConstFunctionType)(P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10) const

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10>
typedef void(C::* osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >::FunctionType)(P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10)

## Member Function Documentation

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10>
Value osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >::invoke | ( | Value & | instance,
|  | ValueList & | args
| ) | const`[inline, virtual]`

| Invokes the reflected method dynamically on the given instance, passing it the arguments as a list of Value objects. Reimplemented from osgIntrospection::MethodInfo.

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10>
Value osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >::invoke | ( | const Value & | instance,
|  | ValueList & | args
| ) | const`[inline, virtual]`

| Invokes the reflected method dynamically on the given const instance, passing it the arguments as a list of Value objects. Reimplemented from osgIntrospection::MethodInfo.

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10>
bool osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >::isConst | ( |  | ) | const`[inline, virtual]`

| Returns whether the reflected method is const or not. Implements osgIntrospection::MethodInfo.

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10>
bool osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >::isStatic | ( |  | ) | const`[inline, virtual]`

| Returns whether the reflected method is static or not. Implements osgIntrospection::MethodInfo.

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10>
osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >::TypedMethodInfo11 | ( | const std::string & | qname,
|  | FunctionType | f,
|  | const ParameterInfoList & | plist
| ) | `[inline]`

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10>
osgIntrospection::TypedMethodInfo11< C, void, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >::TypedMethodInfo11 | ( | const std::string & | qname,
|  | ConstFunctionType | cf,
|  | const ParameterInfoList & | plist
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TypedMethodInfo